Subject: Stopping gdm-service results in an unresponsive system

From: Mark H Weaver <[email-masked]>
Date: Tue, 30 Apr 2019 16:42:12 -0400

On my x86_64-linux system running the Guix system, when I include
gdm-service in my system services, 'herd stop xorg-server' results in a
state where I seemingly cannot recover except by rebooting.  I'm left in
what appears to be an empty Linux text console with a cursor in the top
left corner, but the keyboard is unresponsive, and I'm not able to
switch VTs.  Perhaps there is some SysRq key combination that could be
used to recover, but I haven't yet tried.

Since I prefer to use Wayland, and would rather not have a separate Xorg
session running that I never use, this means that currently I must avoid
using 'gdm-service' entirely.

Note that this is on a system running fairly recent 'master', but before
'staging' was merged.  I'll try again and report back after I've
finished rebuilding my post-staging-merge system.

     Regards,
       Mark